%define	name	atomix
%define	ver	0.2.2
%define	rel	1
%define	prefix	/usr


Summary		: A cool game for GNOME.
Name		: %{name}
Version		: %{ver}
Release		: %{rel}
Copyright	: GPL
Group		: Amusements/Games
URL		: http://www.informatik.uni-oldenburg.de/~pearl/gnome/atomix.html
Source		: http://www.informatik.uni-oldenburg.de/~pearl/download/%{name}-%{ver}.tar.gz
Buildroot	: %{_tmppath}/%{name}-root
Packager	: Fabian Emmes <fab@orlen.de>
%description
Atomix is yet another little mind game. You have to build molecuels out of
single atoms laying around. Of course there is a time limit and the handling is
not as easy as you might expect ;-). This game is inspiried by the orignal
Amiga game Atomix. It uses the GNOME librarys and is distributed under the
terms of the General Public License (GPL).

%prep
%setup


%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{prefix} --localstatedir=`gnome-config --localstatedir`
make


%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install
strip "$RPM_BUILD_ROOT%{prefix}/bin/atomix"

%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%attr(2755,root,games) %{prefix}/bin/atomix
%attr(664,games,games) %{prefix}/var/lib/games/atomix.scores
%{prefix}/share/*
